## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
BEGIN DEFERRED;
PRAGMA journal_mode;
PRAGMA cell_size_check = TRUE;
PRAGMA cache_spill = OFF;
.dbconfig fk on
CREATE TABLE T1 (
  a INTEGER,
  b TEXT
);
CREATE TABLE T2 (
  a INTEGER,
  b TEXT
);
INSERT INTO T1 VALUES (1,'a'),(2,'b');
INSERT INTO T2 VALUES (1,'c'),(1,'d');
SELECT T1.b,
(
  SELECT GROUP_CONCAT(b,',')
  FROM T2
  WHERE T2.a=T1.a
) AS c
FROM T1;
WITH n AS NOT MATERIALIZED (SELECT b FROM T1) SELECT * FROM n;
END;
```

## Actual output

```sql
memory
a|c,d
b|
a
b
```

## Expectation

```sql
Page cache size increased to 1296 to accommodate the 272-byte headers
memory
a|c,d
b|
a
b
```

## Flag

```
-pagecache 1024 5
```

